return Def.ActorFrame {
	LoadActor(THEME:GetPathB("","_delay"),3);

	Def.ActorFrame{
		InitCommand=function(self)
			local pm = GAMESTATE:GetPlayMode()
			if pm == 'PlayMode_Rave' then
				self:visible(true);
			else
				self:visible(false);
			end;
		end;
		
		Def.Quad{
			BeginCommand=cmd(FullScreen;);
			OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0;sleep,1.6;linear,0.4;diffuse,color("0,0,0,0.75");sleep,1.6;linear,0.4;diffuse,color("0,0,0,1"););
		};

		LoadActor("analyse")..{
			InitCommand=cmd(x,SCREEN_RIGHT-194;y,SCREEN_BOTTOM-78;shadowlength,2;);
			OnCommand=cmd(diffuse,color("1,0.3,0.5,1");diffusealpha,0;sleep,1.6;linear,0.4;diffusealpha,1;sleep,1.6;linear,0.4;diffusealpha,0;);
		};
		
		LoadActor("line")..{
			InitCommand=cmd(x,SCREEN_RIGHT-88;y,SCREEN_BOTTOM-90;shadowlength,2;);
			OnCommand=cmd(diffuse,color("1,0.3,0.5,1");diffusealpha,0;sleep,1.6;linear,0.4;diffusealpha,1;sleep,1.6;linear,0.4;diffusealpha,0;);
		};
	};

	Def.ActorFrame{
		InitCommand=function(self, params)
			local pm = GAMESTATE:GetPlayMode()
			if pm ~= 'PlayMode_Rave' then
				self:visible(true);
			else
				self:visible(false);
			end;
		end;

		Def.Quad{
			BeginCommand=cmd(FullScreen;);
			OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffuse,color("0,0,0,0");sleep,2;linear,0.4;diffuse,color("0,0,0,1"););
		};
	
		LoadActor( THEME:GetPathB("","_white") )..{
			OnCommand=cmd(horizalign,right;diffuse,color("0.4,0.2,1,0");x,SCREEN_RIGHT;y,SCREEN_CENTER_Y-35;zoomtowidth,0;zoomtoheight,0;sleep,2;zoomtoheight,1;linear,0.4;diffuse,color("0.4,0.2,1,1");zoomtowidth,SCREEN_WIDTH-180);
		};

		LoadActor( THEME:GetPathB("","_white") )..{
			OnCommand=cmd(horizalign,left;diffuse,color("0.4,0.2,1,0");x,SCREEN_LEFT;y,SCREEN_CENTER_Y+35;zoomtowidth,0;zoomtoheight,0;sleep,2;zoomtoheight,1;linear,0.4;diffuse,color("0.4,0.2,1,1");zoomtowidth,SCREEN_WIDTH-180);
		};

		LoadActor( THEME:GetPathB("","block2") )..{
			OnCommand=cmd(x,SCREEN_LEFT+116;y,SCREEN_CENTER_Y-44;diffusealpha,0;sleep,2;addy,-200;zoomx,210;decelerate,0.4;addy,200;zoomx,1;diffusealpha,1);
		};

		LoadActor( THEME:GetPathB("","block2") )..{
			OnCommand=cmd(x,SCREEN_RIGHT-116;y,SCREEN_CENTER_Y+44;rotationz,180;diffusealpha,0;sleep,2;addy,200;zoomx,210;decelerate,0.4;addy,-200;zoomx,1;diffusealpha,1);
		};

		LoadActor("cleared")..{
			OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0;sleep,2;zoomx,12;zoomy,0;accelerate,0.4;zoom,1;diffusealpha,1);
		};
	};
}